import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
export interface IPage {
    label: string;
    value: any;
}
export declare class PaginationBarComponent implements OnInit, OnChanges {
    directionLinks: boolean;
    previousLabel: string;
    nextLabel: string;
    currentPage: number;
    itemsPerPage: number;
    set totalItems(value: number);
    get totalItems(): number;
    paginationRange: number;
    autoHide: boolean;
    previousClick: EventEmitter<void>;
    nextClick: EventEmitter<void>;
    pageClick: EventEmitter<any>;
    showClass(): boolean;
    private _totalItems;
    pages: IPage[];
    totalPages: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    isOnFirstPage(): boolean;
    isOnLastPage(): boolean;
    onPreviousClick(): void;
    onNextClick(): void;
    onPageClick(value: any): void;
    shouldBeHidden(): boolean;
    private _createPageArray;
    private _calculatePageNumber;
}
